
From: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>

From: Geert Uytterhoeven <geert@linux-m68k.org>

On Sat, 29 May 2004, Linus Torvalds wrote:
> Summary of changes from v2.6.7-rc1 to v2.6.7-rc2
> ============================================
>
> Alexander Viro:
>   o sparse: ide-proc.c fixes

This change causes 2 warnings (unused variables `val' and `reg') on m68k
and APUS.  However, the reason why this code was commented out is gone.

Signed-off-by: Bartlomiej Zolnierkiewicz <bzolnier@elka.pw.edu.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ide/ide-proc.c |   22 ----------------------
 1 files changed, 22 deletions(-)

diff -puN drivers/ide/ide-proc.c~ide-ide-proc-fix-for-m68k drivers/ide/ide-proc.c
--- 25/drivers/ide/ide-proc.c~ide-ide-proc-fix-for-m68k	Fri Jun 11 15:58:44 2004
+++ 25-akpm/drivers/ide/ide-proc.c	Fri Jun 11 15:58:44 2004
@@ -233,27 +233,6 @@ static int proc_ide_write_config(struct 
 			}
 #endif	/* CONFIG_BLK_DEV_IDEPCI */
 		} else {	/* not pci */
-#if !defined(__mc68000__) && !defined(CONFIG_APUS)
-
-/*
-* Geert Uytterhoeven
-*
-* unless you can explain me what it really does.
-* On m68k, we don't have outw() and outl() yet,
-* and I need a good reason to implement it.
-* 
-* BTW, IMHO the main remaining portability problem with the IDE driver 
-* is that it mixes IO (ioport) and MMIO (iomem) access on different platforms.
-* 
-* I think all accesses should be done using
-* 
-*     ide_in[bwl](ide_device_instance, offset)
-*     ide_out[bwl](ide_device_instance, value, offset)
-* 
-* so the architecture specific code can #define ide_{in,out}[bwl] to the
-* appropriate function.
-* 
-*/
 			switch (r->size) {
 				case 1:	hwif->OUTB(val, reg);
 					break;
@@ -262,7 +241,6 @@ static int proc_ide_write_config(struct 
 				case 4:	hwif->OUTL(val, reg);
 					break;
 			}
-#endif /* !__mc68000__ && !CONFIG_APUS */
 		}
 	}
 	spin_unlock_irqrestore(&ide_lock, flags);
_
